Main Page Widgets Namespaces Book

# spinbutton.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::SpinButton
| numeric Entry with up/down buttons Slightly misnamed, this should be called a SpinEntry. More...

## Enumerations

enum | { Gtk::INPUT_ERROR = -1 }
enum | Gtk::SpinButtonUpdatePolicy { Gtk::UPDATE_ALWAYS, Gtk::UPDATE_IF_VALID }
enum | Gtk::SpinType { Gtk::SPIN_STEP_FORWARD, Gtk::SPIN_STEP_BACKWARD, Gtk::SPIN_PAGE_FORWARD, Gtk::SPIN_PAGE_BACKWARD, Gtk::SPIN_HOME, Gtk::SPIN_END, Gtk::SPIN_USER_DEFINED }